System.ServiceModel 4.0.0.0 System.Object

Instances of this class are used to specify the cryptographic characteristics of the algorithms used when securing messages.

This class is used by derived classes to instantiate security algorithm suites, and contains properties that describe the security algorithms. For example, the wsBasicHttp binding uses an internal derived class to specify the properties of its security algorithms.

Specifies properties of algorithms. This is an abstract class.

- Constructor
  4.0.0.0

  The instances of this class consist of static properties and read-only properties, so the constructor does not initialize any properties.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  By default, AES-128 is used as the encryption algorithm.

  Gets the Basic128 algorithm suite.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm and 128-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses SHA256 for the signature digest and 128-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm, SHA256 for the signature digest, and 128-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  By default, AES-192 is used as the encryption algorithm.

  Gets an algorithm suite that uses 192-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm and 192-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite which uses SHA256 for the signature digest and 192-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm, SHA256 for the signature digest, and 192-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  By default, AES-256 is used for the encryption algorithm.

  Gets an algorithm suite that uses 256-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm and 256-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses SHA256 for the signature digest and 256-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm, SHA256 for the signature digest, and 128-bit Basic as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides the properties specifying default values as well as the methods.

  Gets the default algorithm suite.

- Property
  4.0.0.0
  System.String To be added.

  When overridden, provides a string value that will be used for comparison in the method.

  Gets the default asymmetric key wrap algorithm as a string.

- Property
  4.0.0.0
  System.String To be added.

  When overridden, provides a string value that will be used for comparison in the method.

  Gets the default asymmetric signature algorithm as a string.

- Property
  4.0.0.0
  System.String To be added.

  When overridden, provides a string value that will be used for comparison in the method .

  Gets the default canonicalization algorithm as a string.

- Property
  4.0.0.0
  System.String To be added.

  When overridden, provides a string value that will be used for comparison in the method.

  Gets the default digest algorithm as a string.

- Property
  4.0.0.0
  System.String To be added.

  When overridden, provides a string value that will be used for comparison in the method.

  Gets the default encryption algorithm as a string.

- Property
  4.0.0.0
  System.Int32 To be added.

  The returned value will vary depending on the subclass that implements it. For Basic256 encryption, it returns 256.

  Gets the default encryption key derivation length as an value.

- Property
  4.0.0.0
  System.Int32 To be added.

  The returned value will vary depending on the subclass that implements it. For Basic256 encryption, it returns 192.

  Gets the default signature key derivation length as an value.

- Property
  4.0.0.0
  System.Int32 To be added.

  The returned value will vary depending on the subclass that implements it. For Basic256 encryption, it returns 256.

  Gets the default symmetric key length as an value.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the default symmetric key wrap algorithm as a string.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the default symmetric signature algorithm as a string.

- Method
  4.0.0.0
  System.Boolean ``

  Typical key lengths are 128, 192, and 256 bits.

  Indicates whether a particular key length is supported by the asymmetric algorithm.

  true if the key length is supported by the asymmetric algorithm; otherwise, false.

  The key length to check.
- Method
  4.0.0.0
  System.Boolean ``

  gets compared to the string returned from .

  Indicates whether an asymmetric key wrap algorithm is supported.

  true if the asymmetric key wrap algorithm is supported; otherwise, false.

  The algorithm to check.
- Method
  4.0.0.0
  System.Boolean ``

  gets compared to the string returned from .

  Indicates whether an asymmetric signature algorithm is supported.

  true if the asymmetric signature algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean ``

  gets compared to the string returned from .

  Indicates whether a canonicalization algorithm is supported.

  true if the canonicalization algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean ``

  gets compared to the string returned from .

  Indicates whether a digest algorithm is supported.

  true if the digest algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean ``

  gets compared to the string returned from .

  Indicates whether an encryption algorithm is supported.

  true if the encryption algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether an encryption key derivation algorithm is supported.

  true if the encryption key derivation algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether a signature key derivation algorithm is supported.

  true if the signature key derivation algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean ``

  The is compared to a range of values depending on the subclass. For example, in the TripleDES subclass, this method verifies that is between 192 and 256, inclusive.

  When overridden in a derived class, indicates whether a particular symmetric key length is supported.

  true if the symmetric key length is supported; otherwise, false.

  The key length to check.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether a symmetric key wrap algorithm is supported.

  true if the symmetric key wrap algorithm is supported; otherwise, false.

  The algorithm name to check.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether a symmetric signature algorithm is supported.

  true if the symmetric signature algorithm is supported; otherwise, false.

  The algorithm name to check.
- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets the Triple Data Encryption Standard (DES) algorithm suite.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm and 192-bit Triple Data Encryption Standard (DES) as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses SHA256 for the signature digest and 192-bit Triple Data Encryption Standard (DES) as the message encryption algorithm.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The returned is actually an internal subclass that overrides some of the properties specifying default values as well as some of the methods.

  Gets an algorithm suite that uses RSA15 as the key wrap algorithm, SHA256 for the signature digest, and 192-bit Triple Data Encryption Standard (DES) as the message encryption algorithm.